Calico®
2.0.2
  • 2.0.2
  • v1
  • 2.0.0
  • 2.0.1
Platform APIEnterprise APIRelease Notes
About
About
  • getCalico.com
  • Privacy Policy
  • Terms of Use
Platform APIEnterprise APIRelease Notes
About
About
  • getCalico.com
  • Privacy Policy
  • Terms of Use
2.0.2
  • 2.0.2
  • v1
  • 2.0.0
  • 2.0.1
2.0.2
  • 2.0.2
  • v1
  • 2.0.0
  • 2.0.1
  1. Providers
  • Getting Started
  • Calico Connect
  • Use Cases
  • Pagination
  • Versioning
  • Platform API
    • Try it out
    • Changelog
    • Authentication
      • Authorization Callback
    • Providers
      • Add providers
        POST
      • List connected providers
        GET
      • Remove providers
        DELETE
    • Assets
      • User assets
      • Refresh asset list
    • Transactions
      • Transactions
      • Refresh transactions
  • Release Notes
    • New Reporting Features - August 2026
    • Launch of Enterprise API - June 2026
    • Calico Connect 1.5 - March 2026
    • Platform API v2 - March 2026
  • Resources
    • Troubleshooting
    • Response codes
    • FAQs
  • Schemas
    • AddProvidersRequest
    • AddProvidersResponse
    • AddProvidersData
    • ListProvidersResponse
    • ListProvidersData
    • DeleteProvidersRequest
    • DeleteProvidersData
    • ProviderMetadataV2.1
    • ConnectedProvidersMetadataV2.1
    • GetAssetsResponse
    • RefreshResponse
    • ErrorItem
    • Transactions data
    • AssetPosition
    • CalicoErrorResponse
    • ProviderMetadata
    • DeleteProvidersResponse
    • GetAssetsData
    • GetTransactionsResponse
    • GetTransactionsData
    • TransactionCategorization
    • TransactionType
    • FeeItem
    • FeeObject
    • CurrencyValue
    • Input only transactions
    • Send transaction data
    • Receive transaction data
    • Output only transaction data
    • Transactions with input and output
    • Uncategorized transaction data
    • CryptoSourceCredentialAuthType
    • RefreshResponseData
    • IntegrationResponse
    • IntegrationData
    • AuthMetaData
    • PageData
    • APIConnection
    • WalletConnection
    • OAuth2Connection
    • ProviderId
    • GetConsentURLForThirdPartyResponse
    • ErrorEmpty
  1. Providers

Add providers

Platform v2
https://api.getcalico.com
Platform v2
https://api.getcalico.com
POST
/accounts/v2/providers
Add providers to an account by passing the provider_id and connection information in the body of the request.
The body size of the request must not exceed 5MB.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢201Created
application/json
The request was successful and the provider was successfully added.
Bodyapplication/json

🟢200OK
🟠400Bad Request
🟠401Unauthorized
🟠404Not Found
🟠413Content Too Large
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.getcalico.com/accounts/v2/providers' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "provider_id": "ethereum",
    "display_label": "Test wallet",
    "connection": {
        "type": "wallet_address",
        "wallet_address": "0xF684986e3bB52204B16A83Fe239E9908e806d007"
    }
}'
Response Response Example
201 - Example 1
{
    "data": {
        "added": true,
        "redirect_url": "string"
    },
    "errors": []
}
Previous
Providers
Next
List connected providers